<?php
	define('METHOD',"AES-128-ECB");
	define('llave','@DaNaDa020409+-');
		
	function encriptar($mensaje){
		$inivec=openssl_random_pseudo_bytes(openssl_cipher_iv_length(METHOD));//vector de inicializacion
		$men_encriptada=openssl_encrypt($mensaje,METHOD,llave,0,$inivec);
		return base64_encode($men_encriptada."::".$inivec);
	}
	
	function desencriptar($mensaje){
		list($datos_encriptados,$iniven)=explode('::',base64_decode($mensaje),2);
		return openssl_decrypt($datos_encriptados,METHOD,llave,0,$inivec);
	}
	
?>